function netg = rgrid(n, window, degree)
netg = graph; % this is an n by n grid with random local edges
netg = addnode(netg, n*n);
if nargin < 3
    degree = 4;
end
if nargin < 2
    window = 3;
end
for i = 1:n
    if i<window+1;
            mini = 1;
        elseif i+window > n
                mini = n - 2*window - 1;
        else
                mini = i-window;
    end
        
    for j = 1:n
        if j<window+1;
            minj = 1;
        elseif j+window > n
                minj = n - 2*window - 1;
        else
                minj = j-window;
        end
            
        a = i+n*(j-1);
        
        for k=1:degree
            randomi = randi(2*window+1);
            randomj = randi(2*window+1);
            b = randomi+mini-1 + (randomj + minj-2)*n;
            if findedge(netg,a,b)==0
                if a~=b
                    netg = addedge(netg, a,b,1);
                end
            end
        end
    end
end
end